Sales
Send sale message
POST
Send a message to the TA Agent for a sale transaction.
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"transactionId*stringTransaction ID of a sale
X-Request-Id?stringA unique identifier for the request
application/json- body
Request body for sending a message to a sale transaction
message*stringMessage to send to the buyer
Length
1 <= length <= 1000Message sent successfully
curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/sales/string/sendMessage' \ -H 'Content-Type: application/json' \ -d '{ "message": "Please provide the auth code for the domain transfer."}'Example Response
Empty